package taxiplg.example;

import net.mosgrom.taxi.SetupPluginManager;
import net.mosgrom.taxi.Taxi;
import net.mosgrom.taxi.plugin.SetupPluginLoader;

/**
 * This simply adds entries for those SetupPlugins that need to run for this mod. See src/taxiplg/example/Setup.java
 * for more details.
 * 
 * @author jasper
 *
 */
public class SetupsLoader implements SetupPluginLoader {

	@Override
	public void load(SetupPluginManager sman, Taxi app) throws Exception {
		
		//The 0, 8, 1 just says that the example mod was made for/since version 0.8.1 of Taxinaut. Normally you should
		//use the version of Taxinaut here that is the first version you publish your mod with.
		//"101/example/Setup" is just a way of referring to the taxiplg.example.Setup SetupPlugin implementation class.
		sman.add(0, 8, 1, "101/example/Setup");
		
	}

}
